Package org.springframework.security.web.reactive.result.method.annotation

# Class CurrentSecurityContextArgumentResolver

java.lang.Object
org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport
org.springframework.security.web.reactive.result.method.annotation.CurrentSecurityContextArgumentResolver

All Implemented Interfaces:
  `org.springframework.web.reactive.result.method.HandlerMethodArgumentResolver`

public class CurrentSecurityContextArgumentResolver extends org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport
Resolves the `SecurityContext`

Since:
  5.2

## Field Summary

### Fields inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`logger`

## Constructor Summary

Constructors
Constructor
Description
`CurrentSecurityContextArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Object>`
`resolveArgument(org.springframework.core.MethodParameter parameter, org.springframework.web.reactive.BindingContext bindingContext, org.springframework.web.server.ServerWebExchange exchange)`
`void`
`setBeanResolver(org.springframework.expression.BeanResolver beanResolver)`
Sets the `BeanResolver` to be used on the expressions
`void`
`setTemplateDefaults(org.springframework.security.core.annotation.AnnotationTemplateExpressionDefaults templateDefaults)`
Configure CurrentSecurityContext template resolution
`boolean`
`supportsParameter(org.springframework.core.MethodParameter parameter)`

### Methods inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`checkAnnotatedParamNoReactiveWrapper, checkParameterType, checkParameterTypeNoReactiveWrapper, getAdapterRegistry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CurrentSecurityContextArgumentResolver

public CurrentSecurityContextArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)

## Method Details

### setBeanResolver

public void setBeanResolver(org.springframework.expression.BeanResolver beanResolver)
Sets the `BeanResolver` to be used on the expressions

Parameters:
  `beanResolver` - the `BeanResolver` to use

### setTemplateDefaults

public void setTemplateDefaults(org.springframework.security.core.annotation.AnnotationTemplateExpressionDefaults templateDefaults)
Configure CurrentSecurityContext template resolution

By default, this value is `null`, which indicates that templates should not be resolved.

Parameters:
  `templateDefaults` - - whether to resolve CurrentSecurityContext templates parameters
Since:
  6.4

### supportsParameter

public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

### resolveArgument

public reactor.core.publisher.Mono<Object> resolveArgument(org.springframework.core.MethodParameter parameter, org.springframework.web.reactive.BindingContext bindingContext, org.springframework.web.server.ServerWebExchange exchange)